device_type: beaglebone-black

# From Neil Williams https://validation.linaro.org/scheduler/job/1019247/definition

job_name: Pipeline boot BBB lamp rootfs
timeouts:
  job:
    minutes: 10
  action:
    minutes: 5
  connection:
    minutes: 2
priority: medium
visibility: public

metadata:
  kernel: "From v.l.o. job"
  dtb: "From v.l.o. job"
  rootfs: "From v.l.o. job"

actions:
- deploy:
    timeout:
      minutes: 4
    to: tftp
    kernel:
      url: file:///home/billf/lava/uboot/zImage
    nfsrootfs:
      url: file:///home/billf/lava/uboot/linaro-image-lamp-genericarmv7a-20150323-328.rootfs.tar.gz
      compression: gz
    os: debian
    dtb:
      url: file:///home/billf/lava/uboot/am335x-boneblack.dtb

- boot:
    method: u-boot
    commands: nfs
    type: bootz
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@jessie:'
    timeout:
      minutes: 2
    failure_retry: 2

